ONVIF::PTZ::Types::SourceReference(3pm)

NAME
ONVIF::PTZ::Types::SourceReference

DESCRIPTION
Perl data type class for the XML Schema defined complexType SourceReference from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Token

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::SourceReference
   Token => $some_value, # ReferenceToken
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::SourceReference::_SourceReference::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Type

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::anyURI.

AUTHOR
Generated by SOAP::WSDL